Subject: RFC: imx8: imx8qm with LCD Panel on lpspi

From: Oliver Graute <[email-masked]>
Date: Thu, 20 Feb 2020 17:04:41 +0100

Hello Aisheng,

I try to get a LCD Panel working with the imx8qm. The Panel is connected
to lpspi. But I'am not sure if I handle the imx8qm clocking the right
way. Should I use the imx7ul compatible or the imx8qxp compatible? Which
clock defines should I use for the SPI1 Clk?

Best Regards,

Oliver

	lpspi1: lpspi@5a010000 {
		compatible = "fsl,imx7ulp-spi";
		/* compatible = "fsl,imx8qxp-spi"; */
		reg = <0x0 0x5a010000 0x0 0x10000>;
		interrupts = <GIC_SPI 217 IRQ_TYPE_LEVEL_HIGH>;
		interrupt-parent = <&gic>;
		clocks = <&clk IMX_ADMA_SPI1_CLK>,
		         <&clk IMX_IMG_IPG_CLK>;
		clock-names = "per", "ipg";
		assigned-clocks = <&clk IMX_ADMA_SPI1_CLK>;
		assigned-clock-rates = <20000000>;
		status = "disabled";
	};

&lpspi1 {
	#address-cells = <1>;
	#size-cells = <0>;
	fsl,spi-num-chipselects = <1>;
	pinctrl-names = "default";
	pinctrl-0 = <&pinctrl_lpspi1 &pinctrl_lpspi1_cs>;
	cs-gpios = <&lsio_gpio3 24 GPIO_ACTIVE_LOW>;
	status = "okay";

	panel@0 {
		compatible = "sitronix,st7789v";
		reg = <0>;

		/* reset-gpios = <&lsio_gpio3 11 GPIO_ACTIVE_LOW>; */

		backlight = <&lvds_backlight1>;
		spi-max-frequency = <30000000>;
		spi-cpol;
		spi-cpha;

		port {
			panel_input: endpoint {
				remote-endpoint = <&tcon0_out_panel>;
			};
		};

	};
};

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel